<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Espressotoria</title>
	<link rel="stylesheet" href="./src/css/style.css">
	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link href="https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;500;600;700;800;900&display=swap" rel="stylesheet">
	<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
	<!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous"> -->
</head>
</head>
<body>
	<!-- Cover block -->
	<div class="cover-block" style="background-image: url('src/images/bg-img.png');">
		<header class="header container">
			<a href="#" class="logo"></a>
			<div class="burger" data-modal="menu-modal">
				<span></span>
				<span></span>
			</div>
			<nav role="navigation" class="nav" > <!--begin of navigation menu-->
				<ul id="main-menu" class="top-nav menu ">
				  <li class="menu-item">
					<a href="#">coffee Machine</a>
				  </li>
				  <li class="menu-item">
					<a href="#">milk frother</a>
				  </li>
				  <li class="menu-item">
					<a href="#">Capsules</a>
				  </li>
				</ul>
			</nav>
			<div class="header__btn-group">
				<button class="icon-button icon-button--search" data-modal="search-modal"></button>
				<button class="icon-button icon-button--cart"></button>
				<button class="icon-button icon-button--login">Login</button>
				<button class="icon-button icon-button--flag" data-modal="language-modal"></button>
			</div>
		</header>
		<div class="cover-block__text-block">
			<h1 class="title">
				Piccolo
			</h1>
			<h6 class="subtitle">Coffee capsule machine</h6>
			<p class="text">
				The Espressotoria System is a premium coffee capsule system, producing café quality espresso coffee at the press of a button.
			</p>
		</div>
	</div>
	<!-- End Cover block -->
	<main>
		<!-- Top block -->
		<section class="section section--top">
			<div class="container">
				<div class="section__row">
					<div class="">
						<img src="src/images/coffee-machine.svg" alt="" class="img-absolute">
					</div>
					<div class="text-block">
						<h2 class="section__title">Premium Coffee. <br/>Made Easy.</h2>
						<p>Espressotoria is a practical coffee pod system making cafe-quality coffee at the touch of a button. A compact and affordable machine that helps brings simplicity to the morning coffee ritual.</p>
						<p>Combining stylish design and the latest in coffee pod technology, the Espressotoria system creates the perfect coffee - every time.</p>
						<span class="price">
							$124.00
						</span>
						<button class="button button--gold">Buy</button>
					</div>
				</div>
				
			</div>
		</section>
		<!-- End Top block -->
		<!-- Video block -->
		<section class="section section--video">
			<div class="container">
				<div class="video-block">
					<div class="video_wrapper video_wrapper_full js-videoWrapper">
						<!-- HTML5 -->
						<!-- <video class="videoIframe js-videoIframe">
							<source type="video/mp4" 
							src="../../assets/video/ILVE Majestic Series.mp4">
						</video> -->
						<!-- YOUTUBE -->
						<iframe class="videoIframe js-videoIframe" src="https://www.youtube.com/embed/J_QGZspO4gg?autoplay=1" frameborder="0"  allow="autoplay" allowfullscreen></iframe>
						<!-- VIMEO -->
						<!-- <iframe class="videoIframe js-videoIframe" title="vimeo-player" data-src="https://player.vimeo.com/video/440916336?autoplay=1" frameborder="0" allow="autoplay" allowfullscreen></iframe> -->
					   <button class="videoPoster js-videoPoster" style="background-image:url('src/images/maxresdefault.png')"></button>
					</div>
				</div>
			</div>
		</section>
		<!-- End Video block -->
		<section class="section section--machine">
			<div class="container">
				<div class="section__row section__row--align-center">
					<div class="text-block benefits">
						<h2 class="section__title">Piccolo black coffee capsule mashine</h2>
						<ul class="benefits__list">
							<li class="benefits__list-item">
								<span class="benefits__icon" style="background-image: url(src/images/design-icon.svg);"></span>
								<div class="benefits__description">
									<span class="title">Sleek & Intuitive design</span>
									<span class="text">For ease and practicality</span>
								</div>
							</li>
							<li class="benefits__list-item">
								<span class="benefits__icon" style="background-image: url(src/images/heat-icon.svg);"></span>
								<div class="benefits__description">
									<span class="title">Quick heat up from standby</span>
									<span class="text">just 30 seconds</span>
								</div>
							</li>
							<li class="benefits__list-item">
								<span class="benefits__icon" style="background-image: url(src/images/cups-icon.svg);"></span>
								<div class="benefits__description">
									<span class="title">2 cup sizes</span>
									<span class="text">Programmable pour function</span>
								</div>
							</li>
							<li class="benefits__list-item">
								<span class="benefits__icon" style="background-image: url(src/images/subtract-icon.svg);"></span>
								<div class="benefits__description">
									<span class="title">Ultra-Compact footprint</span>
									<span class="text">11cm w x 38cm d x 22cm h</span>
								</div>
							</li>
							<li class="benefits__list-item">
								<span class="benefits__icon" style="background-image: url(src/images/pressure-icon.svg);"></span>
								<div class="benefits__description">
									<span class="title">19 bar pump pressure</span>
									<span class="text">to produce café aroma and crema</span>
								</div>
							</li>
							<li class="benefits__list-item">
								<span class="benefits__icon" style="background-image: url(src/images/energy-icon.svg);"></span>
								<div class="benefits__description">
									<span class="title">Energy saver mode</span>
									<span class="text">consumes just 0.5 watts</span>
								</div>
							</li>
						</ul>
						<span class="price">
							$124.00
						</span>
						<button class="button button--gold">Buy</button>
					</div>
					<div class="picture"></div>
				</div>
			</div>
		</section>
		<section class="section section--brands">
			<div class="container">
				<div class="section__row section__row--space">
					<div class="picture-block" style="background-image: url('src/images/bg_1.png');"></div>
					<div class="text-block">
						<h2 class="section__title">5 Locally Roasted Coffee Brands</h2>
						<div class="picture-block--mobile" style="background-image: url('src/images/bg_1.png');"></div>
						<p>Easily create a range of cafe quality coffees including lattes, flat whites, iced coffees, and cappuccinos in just minutes.</p>
						<p>Each capsule is nitrogen flushed, hermetically sealed and roasted right here in Australia to guarantee freshness.</p>
						<p>Produced by experts in coffee since 1958.</p>
						<button class="button button--dark">DISCOVER THE RANGE</button>
					</div>
				</div>
			</div>
		</section>
		<section class="section section--logos">
			<div class="container">
				<div class="brands">
					<div class="brands-item">
						<img src="src/images/espressotoria_e_white_v31.png" alt="">
					</div>
					<div class="brands-item">
						<img src="src/images/ChiccoD'Oro(CaffeChicoD'Oro).png" alt="">
					</div>
					<div class="brands-item">
						<img src="src/images/CA_Diamond-2018(LJS)White.png" alt="">
					</div>
					<div class="brands-item">
						<img src="src/images/Vittoria-Coffee.png" alt="">
					</div>
					<div class="brands-item">
						<img src="src/images/OroNero-caffe.png" alt="">
					</div>
				</div>
			</div>
		</section>
		<section class="section section--benefits">
			<div class="container">
				<div class="section__row section__row--space">
					<div class="video-block">
						<video poster="src/images/bg_2.png">
							<source src="movie.mp4" type="video/mp4">
							<source src="movie.ogg" type="video/ogg">
							Your browser does not support the video tag.
						 </video>
						
						<div class="video-block__play">
							<button class="video-block__play-btn"></button>
							SEE THE MILK FROTHER IN ACTION
						</div>
					</div>
					<div class="text-block">
						<h2 class="section__title">
							<span>Milk frother</span>
							<span class="subtitle">Create the perfect flat white, latte or cappuccino.</span>
						</h2>
						<div class="video-block video-block--mobile">
							<video poster="src/images/bg_2.png">
								<source src="movie.mp4" type="video/mp4">
								<source src="movie.ogg" type="video/ogg">
								Your browser does not support the video tag.
							 </video>
							
							<div class="video-block__play">
								<button class="video-block__play-btn"></button>
								SEE THE MILK FROTHER IN ACTION
							</div>
						</div>
						<div class="text-block__row">
							<div class="text-block__item">
								<p>The Capino compatible milk frother allows you to texturise milk to a barista quality level with the touch of a button. There are two settings to help you achieve any style of milk based coffee.</p>
								<p>The Espressotoria compatible milk frother allows you to texturise milk to a barista quality level with the touch of a button. </p>
							</div>
							
							<ul class="benefits-row">
								<li class="benefits-row__item">
									<div class="benefits-row__icon" style="background-image: url(src/images/feature-1.svg);"></div>
								</li>
								<li class="benefits-row__item">
									<div class="benefits-row__icon" style="background-image: url(src/images/feature-2.svg);"></div>
								</li>
								<li class="benefits-row__item">
									<div class="benefits-row__icon" style="background-image: url(src/images/feature-3.svg);"></div>
								</li>
								<li class="benefits-row__item">
									<div class="benefits-row__icon" style="background-image: url(src/images/feature-4.svg);"></div>
								</li>
								<li class="benefits-row__item">
									<div class="benefits-row__icon" style="background-image: url(src/images/feature-5.svg);"></div>
								</li>
							</ul>
						</div>
						
					</div>
				</div>
				
			</div>
		</section>
		<section class="section section--capsule capsule">
			<div class="container">
				<div class="section__row section__row--space">
					
					<div class="text-block">
						<h2 class="section__title">A recyclable capsule</h2>
						<div class="capsule__picture capsule__picture--mobile"></div>
						<p>Our capsule range is recyclable once you remove the coffee and lid.
							Once capsules have been used, remove the lid of the capsule and empty the coffee grind into a compost bin.	
						</p>
						<p>The capsule lid must be discarded and the capsule shell can be placed in the recycle bin.</p>
						<ul class="benefits-row">
							<li class="benefits-row__item">
								<div class="benefits-row__icon benefits-row__icon--peel"></div>
								<div class="benefits-row__text">Peel</div>
							</li>
							<li class="benefits-row__item">
								<div class="benefits-row__icon benefits-row__icon--empty"></div>
								<div class="benefits-row__text">Empty</div>
							</li>
							<li class="benefits-row__item">
								<div class="benefits-row__icon benefits-row__icon--recycle"></div>
								<div class="benefits-row__text">Recycle</div>
							</li>
						</ul>
						<button class="button button--dark discover-btn">DISCOVER THE RANGE</button>
					</div>
					<div class="capsule__picture"></div>
				</div>
				
			</div>
		</section>
		<section class="section section--guide">
			<div class="container">
				<div class="guide">
					
					<div class="guide__cards">
						<div class="guide__item guide__header">
							<span class="title">How to guide:</span>
							<p class="text">We have some interesting information from the world of coffee for you</p>
						</div>
						<a class="guide__item guide__card">
							<div class="guide__picture" style="background-image: url(src/images/image-1.png);"></div>
							<div class="guide__go">
								<span>Recipes</span>
								<button class="icon-button icon-button--more">
									&#8594;
								</button>
							</div>
						</a>
						<a class="guide__item guide__card">
							<div class="guide__picture" style="background-image: url(src/images/image-2.png);"></div>
							<div class="guide__go">
								<span>Capsule machine</span>
								<button class="icon-button icon-button--more">
									&#8594;
								</button>
							</div>
						</a>
						<a class="guide__item guide__card">
							<div class="guide__picture" style="background-image: url(src/images/image-3.png);"></div>
							<div class="guide__go">
								<span>Milk frother</span>
								<button class="icon-button icon-button--more">
									&#8594;
								</button>
							</div>
						</a>
					</div>
				</div>
			</div>
		</section>
		<section class="section section--subscribe ">
			<div class="container subscribe">
				<h2 class="subscribe__title">Join the family</h2>
				<p class="subscribe__subtitle">Too much coffee never enough?</p>
				<p class="subscribe__text">Join the Espressotoria family for news and special offers.</p>
				<form class="subscribe__form">
					<input type="text" class="custom-input" placeholder="Email address">
					<button class="button button--dark">Subscribe</button>
				</form>
			</div>
		</section>
		
	</main>
	<!-- Footer -->
	<footer class="footer">
		<div class="container">
			<div class="footer__row">
				<div class="footer__logo"></div>
				<div class="footer__menu">
					<ul class="footer__menu-item">
						<li>
							<a href="">Ordering</a>
						</li>
						<li>
							<a href="">Delivery</a>
						</li>
						<li>
							<a href="">Warranty Registration</a>
						</li>
						<li>
							<a href="">Returns & Warranty</a>
						</li>
						<li>
							<a href="">Sitemap</a>
						</li>
						<li>
							<a href="">FAQ</a>
						</li>
						<li>
							<a href="">Privacy & Security</a>
						</li>
						<li>
							<a href="">Terms & Conditions</a>
						</li>
						<li>
							<a href="">User Manuals</a>
						</li>
						<li>
							<a href="">CONTACT US</a>
						</li>
						<li>
							<a class="social-icon social-icon--facebook" href=""></a>
							<a class="social-icon social-icon--instagram" href=""></a>
						</li>
					</ul>
					
					
				</div>
			</div>
			<p class="footer__copyright">
				COPYRIGHT 2019. VITTORIA FOOD AND BEVERAGE. ALL RIGHTS RESERVED.
			</p>
		</div>
	</footer>
	<!-- End Footer -->

	<div class="modal" id="search-modal">
		<div class="modal__wrapper">
			
			<div class="modal__body">
				<div class="large-search">
					<input type="text" class="" placeholder="Type here to search...">
					<button></button>
				</div>
			</div>
			<span class="modal__close"></span>
		</div>
	</div>
	
	<div class="modal" id="language-modal">
		<div class="modal__wrapper">
			
			<div class="modal__body">
				<div class="languages">
					<button class="languages__item">
						<div class="languages__icon" style="background-image: url(src/images/icon-flag-au.svg);"></div>
						<div class="languages__text">australia</div>
					</button>
					<button class="languages__item">
						<div class="languages__icon" style="background-image: url(src/images/icon-flag-usa.svg);"></div>
						<div class="languages__text">USA</div>
					</button>
					<button class="languages__item">
						<div class="languages__icon" style="background-image: url(src/images/icon-flag-nz.svg);"></div>
						<div class="languages__text">new zealand</div>
					</button>
				</div>
			</div>
			<span class="modal__close"></span>
		</div>
	</div>

	<div class="modal" id="menu-modal">
		<div class="modal__wrapper">
			
			<div class="modal__body">
				<ul class="mobile-menu">
					<li class="">
					  <a href="#">coffee Machine</a>
					</li>
					<li class="">
					  <a href="#">milk frother</a>
					</li>
					<li class="">
					  <a href="#">Capsules</a>
					</li>
				  </ul>
			</div>
			<button class="icon-button icon-button--login">Login</button>
			<span class="modal__close"></span>
		</div>
	</div>

	 <!-- Bootstrap core JavaScript -->
	<!-- <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script> -->
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"
	integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
	<script>
		body = $('body');
		// iframe vimeo/youtube
		
		$(document).on('click','.js-videoPoster',function(e) {
			e.preventDefault();
			var poster = $(this);
			var wrapper = poster.closest('.js-videoWrapper');
			videoPlay(wrapper);
		});
		
		function videoPlay(wrapper) {
			var iframe = wrapper.find('.js-videoIframe');
			var src = iframe.data('src');
			wrapper.addClass('videoWrapperActive');
			iframe.attr('src',src);
		}
		
		
		// HTML5 video teg
		
		// $('.js-videoWrapper').click(function () {
		//     if($(this).children(".js-videoIframe").get(0).paused){        
		//         $(this).children(".js-videoIframe").get(0).play();  
		//         $(this).children(".js-videoPoster").fadeOut();
		//     } else {       
		//         $(this).children(".js-videoIframe").get(0).pause();
		//         $(this).children(".js-videoPoster").fadeIn();
				
		//     }
		// });

		/* Open and close modal */
		$('[data-modal]').on("click", function() {
			console.log('open');
			$('.modal').removeClass('open');
			$(body).removeClass('hidden');

			idi = $(this).attr('data-modal');
			$('#' + idi).addClass('open');
			$(body).addClass('hidden');
		});

		$('.modal__close').on('click', function () {
			$(this).parents('.modal').removeClass('open');
			$(body).removeClass('hidden');
		});

		$('[data-close]').on('click', function () {
			$(this).parents('.modal').removeClass('open');
			$(body).removeClass('hidden');
		});

		$('.mobile-menu').find('> li').click(function() {
			$('.mobile-menu > li').not(this).find('ul').slideUp();
			$(this).find('ul').stop(true, true).slideToggle(400);
			return false;
		});
				
	</script>
	
</body>
</html>


